/* ==UserStyle==
@name			Show True Links On Hover
@namespace		github.com/openstyles/stylus
@version		1.0.0
@description    Converts markdown links to their raw counterpart when hovering over a link.
@author			neo.nyaa (https://discord.com/users/427114049487241227)
@homepageURL	https://gitlab.com/___Neopolitan/CSS-Tweaks
==/UserStyle== */

@-moz-document domain("discord.com") {
    [class*="messageContent_"]:not([class*="isSystemMessage_"]) a:hover > span:not([class^="username_"]) {
        display: none;
    }

    [class*="messageContent_"]:not([class*="isSystemMessage_"]) a:hover::before {
        word-break: break-all;
        content: attr(href);
    }
}
